org.gradle.language.swift

## Enum SwiftLanguageVersion

- java.lang.Object
- - java.lang.Enum<SwiftLanguageVersion>
  - - org.gradle.language.swift.SwiftLanguageVersion

- All Implemented Interfaces:
    Serializable, Comparable<SwiftLanguageVersion>

      @Incubating
      public enum SwiftLanguageVersion
      extends Enum<SwiftLanguageVersion>

  Swift language version.
  Since:
    4.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SWIFT2`
    `SWIFT3`
    `SWIFT4`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SwiftLanguageVersion` | `of(org.gradle.util.VersionNumber swiftCompilerVersion)`
    `static SwiftLanguageVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SwiftLanguageVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SWIFT2

          public static final SwiftLanguageVersion SWIFT2

    - #### SWIFT3

          public static final SwiftLanguageVersion SWIFT3

    - #### SWIFT4

          public static final SwiftLanguageVersion SWIFT4

  - ### Method Detail

    - #### values

          public static SwiftLanguageVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwiftLanguageVersion c : SwiftLanguageVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwiftLanguageVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static SwiftLanguageVersion of(org.gradle.util.VersionNumber swiftCompilerVersion)